#ifndef __SCREEN_H
#define __SCREEN_H

#define BLACK    0x0
#define BLUE     0x1
#define GREEN    0x2
#define CYAN     0x3
#define RED      0x4
#define MAGENTA  0x5
#define BROWN    0x6
#define LGREY    0x7
#define DGREY    0x8
#define LBLUE    0x9
#define LGREEN   0xA
#define LCYAN    0xB
#define LRED     0xC
#define LMAGENTA 0xD
#define LBROWN   0xE
#define WHITE    0xF

extern void cls();
extern void init_video();
extern void move_csr(void);
extern void putch(unsigned char c);
extern void puts(unsigned char *str);
extern void scroll(void);
extern void settextcolor(unsigned char forecolor, unsigned char backcolor);

#endif
